module mux_iord (iord, out_pc, out_alu, out_regA, out_iord);

    input [1:0] iord;					//seletor
    input [31:0] out_pc;
    input [31:0] out_alu;
    input [31:0] out_regA;
    output reg [31:0] out_iord;
   
    always@(iord)begin
        case (iord)
            0: out_iord = out_pc;
            1: out_iord = out_alu;
            2: out_iord = out_regA;
			default: out_iord = out_pc;
        endcase
    end
  
endmodule 