module Div (OutA, OutB, DivStart, paraDiv, DivSel, clk, rst, OutDiv, DivZero);
							//lo = quociente e hi = resto
    input [31:0] OutA;
    input [31:0] OutB;
    input DivStart;
    input clk;
    input rst;
    input DivSel;
   
    output reg paraDiv;
    output reg [31:0] OutDiv;
	output reg DivZero;
   
    reg [31:0] hi;
    reg [31:0] lo;
    reg [5:0] operacao;
   
    reg [63:0] resto;
    reg [31:0] divisor;
   
    always @(posedge clk or posedge rst) begin
	
		 if(rst == 1) begin
			
			hi = 0;
			lo = 0;
			paraDiv = 0;
			operacao = 0;
			resto = 0;
			divisor = 0;
			DivZero = 0;
			
		end	else if(DivStart == 1) begin
			
			if(OutB == 0) begin
				DivZero = 1;
				
			end else if(operacao == 0) begin
       
				divisor = OutB;
				resto[31:0] = OutA;
				resto[63:32] = 0;
				resto = resto<<1;
       
			end 
			
			if(operacao < 32) begin
				
				operacao = operacao + 1;
           
				resto[63:32] = resto[63:32] - divisor;
			
				if(resto[63] == 1) begin
               
					resto[63:32] = resto[63:32] + divisor;
					resto = resto<<1;
					resto[0] = 0;
   
				end else begin
               
					resto = resto<<1;
					resto[0] = 1;
               
				end
			
			end else if (operacao == 32) begin
				operacao = 0;
				
				resto[63:32] = resto[63:32]>>1;
				lo = resto[31:0];
				hi = resto[63:32];
				paraDiv = 1;
			
			end

		end else if (DivSel == 0) begin
					OutDiv = hi;
					end else begin
						OutDiv = lo;
					end
	end
   
endmodule 