module mux_pc (PcSel, Out_Alu, Jump_Ex, Out_Epc, Mem_Ex, out_MuxPc);

    input [2:0] PcSel; 				//seletor
    input [31:0] Out_Alu;
    input [31:0] Jump_Ex;
    input [31:0] Out_Epc;
    input [31:0] Mem_Ex;
    output reg [31:0] out_MuxPc;
    
    always @ (PcSel) begin
        case (PcSel)
                0: out_MuxPc = Out_Alu;
                1: out_MuxPc = Jump_Ex;
                2: out_MuxPc = Out_Epc;
                3: out_MuxPc = 253;
                4: out_MuxPc = 254;
                5: out_MuxPc = 255;
                6: out_MuxPc = Mem_Ex;
        endcase
    end    
    
endmodule 