module mux_shift_n (shift_n, out_regB, out_ir4, out_shift_n);

    input shift_n;
    input [31:0] out_regB;
    input [4:0] out_ir4;
    output reg [4:0] out_shift_n;
  
    always@(shift_n)begin
		case (shift_n)
			0: out_shift_n = out_regB[4:0];
			1: out_shift_n = out_ir4;
		endcase
    end
  
endmodule 